FROM openshift/golang-builder:1.12 AS builder
ENV __doozer=update BUILD_RELEASE=202005041055 BUILD_VERSION=v4.3.19 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=19 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.19-202005041055 
ENV __doozer=merge OS_GIT_COMMIT=84c0ab6 OS_GIT_VERSION=4.3.19-202005041055-84c0ab6 SOURCE_DATE_EPOCH=1588375806 SOURCE_GIT_COMMIT=84c0ab6b70c52859d81fb6bb66740fcac0b171dc SOURCE_GIT_TAG=84c0ab6b SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-controller-manager-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-controller-manager-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.3.19.20200504.105538
ENV __doozer=update BUILD_RELEASE=202005041055 BUILD_VERSION=v4.3.19 OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=19 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.3.19-202005041055 
ENV __doozer=merge OS_GIT_COMMIT=84c0ab6 OS_GIT_VERSION=4.3.19-202005041055-84c0ab6 SOURCE_DATE_EPOCH=1588375806 SOURCE_GIT_COMMIT=84c0ab6b70c52859d81fb6bb66740fcac0b171dc SOURCE_GIT_TAG=84c0ab6b SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-controller-manager-operator 
RUN mkdir -p /usr/share/bootkube/manifests/bootstrap-manifests/ /usr/share/bootkube/manifests/config/ /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-controller-manager-operator/cluster-kube-controller-manager-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_25_kube-controller-manager-operator_01_config.crd.yaml /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-controller-manager-operator" \
        com.redhat.component="ose-cluster-kube-controller-manager-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-controller-manager" \
        version="v4.3.19" \
        release="202005041055" \
        io.openshift.build.commit.id="84c0ab6b70c52859d81fb6bb66740fcac0b171dc" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-controller-manager-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-controller-manager-operator/commit/84c0ab6b70c52859d81fb6bb66740fcac0b171dc"

